> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/fleet-intel/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/fleet-intel/_mcp/server.

# List node removal history

GET /v1/nodes/history

Returns removed machines for the customer, newest first. Covers both
auto-removed (actorType system, deleted by the node reaper) and manually
deleted (actorType user) nodes. The same machine may appear multiple times
across remove/re-enroll cycles.

Reference: https://docs.nvidia.com/fleet-intel/fleet-intel/api-explorer/nodes/get-v-1-nodes-history

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: fleet-intelligence
  version: 1.0.0
paths:
  /v1/nodes/history:
    get:
      operationId: getV1NodesHistory
      summary: List node removal history
      description: >-
        Returns removed machines for the customer, newest first. Covers both

        auto-removed (actorType system, deleted by the node reaper) and manually

        deleted (actorType user) nodes. The same machine may appear multiple
        times

        across remove/re-enroll cycles.
      tags:
        - nodes
      parameters:
        - name: page
          in: query
          description: Page number (0-indexed)
          required: false
          schema:
            type: integer
            default: 0
        - name: pageSize
          in: query
          description: Page size (max 100)
          required: false
          schema:
            type: integer
            default: 10
        - name: actorType
          in: query
          description: Filter by removal actor
          required: false
          schema:
            $ref: '#/components/schemas/V1NodesHistoryGetParametersActorType'
            default: system
      responses:
        '200':
          description: Node removal history page
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.NodeHistoryResponse'
        '400':
          description: Bad Request - Invalid pagination or actorType
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '403':
          description: Forbidden - UAM authorization denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '503':
          description: Service Unavailable - Database temporarily unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
components:
  schemas:
    V1NodesHistoryGetParametersActorType:
      type: string
      enum:
        - system
        - user
        - all
      default: system
      title: V1NodesHistoryGetParametersActorType
    models.NodeHistoryEntry:
      type: object
      properties:
        actorType:
          type: string
        computeZone:
          type: string
        deletedAt:
          type: string
        deletedBy:
          type: string
        hostname:
          type: string
        nodeGroup:
          type: string
        nodeUuid:
          type: string
      title: models.NodeHistoryEntry
    models.NodeHistoryResponse:
      type: object
      properties:
        hasMore:
          type: boolean
        history:
          type: array
          items:
            $ref: '#/components/schemas/models.NodeHistoryEntry'
        page:
          type: integer
        pageSize:
          type: integer
        total:
          type: integer
      title: models.NodeHistoryResponse
    models.KASRequestStatus:
      type: object
      properties:
        requestId:
          type: string
          description: Request ID for tracing
        statusCode:
          type: string
          description: Status code from KAS
        statusDescription:
          type: string
          description: Status description from KAS
      description: >-
        RequestStatus contains KAS-specific error details

        This is added to reflect the field in OpenAPI docs for UI reference and
        not populated by our code

        If KAS returns an error, the request will not be forwarded to the
        backend
      title: models.KASRequestStatus
    models.ErrorResponse:
      type: object
      properties:
        details:
          type: string
          description: Detailed error information
        error:
          type: string
          description: Error message or type
        requestStatus:
          $ref: '#/components/schemas/models.KASRequestStatus'
      description: >-
        Standard error response returned by all API endpoints. For KAS API
        errors, requestStatus fields are populated.
      title: models.ErrorResponse

```

## Examples



**Response**

```json
{
  "hasMore": false,
  "history": [
    {
      "actorType": "system",
      "computeZone": "us-east-datacenter",
      "deletedAt": "2024-01-15T10:30:00Z",
      "deletedBy": "system",
      "hostname": "node-001",
      "nodeGroup": "gpu-cluster-a",
      "nodeUuid": "550e8400-e29b-41d4-a716-446655440000"
    }
  ],
  "page": 0,
  "pageSize": 10,
  "total": 100
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/v1/nodes/history"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/v1/nodes/history';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/v1/nodes/history"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/v1/nodes/history")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/v1/nodes/history")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/v1/nodes/history');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/v1/nodes/history");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/v1/nodes/history")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```